package com.ibiz.core.module2.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.module2.domain.IM;
import com.ibiz.core.module2.filter.IMSearchContext;

/**
 * 实体[IM] 服务对象接口
 */

public interface IIMService{
     boolean create(IM iM) ;
     IM get(String iMId) ;
     IM get(IM iM) ;
     boolean checkKey(IM iM) ;
     boolean save(IM iM) ;
     boolean remove(String iMId) ;
     IM createAndStart(IM iM) ;
     IM getDraft(IM iM) ;
     boolean update(IM iM) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<IM> searchDefault(IMSearchContext context) ;

    /**
     * 转换ClientModel为Domain
     */
    public IM convert2Domain(com.ibiz.core.client.model.IIM model ,IM domain);

    /**
     * 转换Domain为ClientModel
     */
    public com.ibiz.core.client.model.IIM convert2Model(IM domain , com.ibiz.core.client.model.IIM model);

}
