package com.ibiz.core.r7rt_org.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.r7rt_org.domain.OrgDeptUser;
import com.ibiz.core.r7rt_org.filter.OrgDeptUserSearchContext;

/**
 * 实体[OrgDeptUser] 服务对象接口
 */

public interface IOrgDeptUserService{
     OrgDeptUser getDraft(OrgDeptUser orgDeptUser) ;
     OrgDeptUser get(String orgDeptUserId) ;
     OrgDeptUser get(OrgDeptUser orgDeptUser) ;
     boolean save(OrgDeptUser orgDeptUser) ;
     boolean create(OrgDeptUser orgDeptUser) ;
     boolean remove(String orgDeptUserId) ;
     boolean update(OrgDeptUser orgDeptUser) ;
     boolean checkKey(OrgDeptUser orgDeptUser) ;

    /**
     * 查询集合 getorgdeptuser
     */
    Page<OrgDeptUser> searchGetorgdeptuser(OrgDeptUserSearchContext context) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<OrgDeptUser> searchDefault(OrgDeptUserSearchContext context) ;

    /**
     * 根据部门查询
     */
     Page<OrgDeptUser> selectByOrgDept(String orgdeptid) ;

    /**
     * 根据组织用户查询
     */
     Page<OrgDeptUser> selectByOrgUser(String orguserid) ;

    /**
     * 根据组织查询
     */
     Page<OrgDeptUser> selectByOrg(String orgid) ;

    /**
     * 转换ClientModel为Domain
     */
    public OrgDeptUser convert2Domain(com.ibiz.core.client.model.IOrgDeptUser model ,OrgDeptUser domain);

    /**
     * 转换Domain为ClientModel
     */
    public com.ibiz.core.client.model.IOrgDeptUser convert2Model(OrgDeptUser domain , com.ibiz.core.client.model.IOrgDeptUser model);

}
